Subject: bug#25245: closed (Re: bug#25245: Prettify-symbols-mode not working)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Dec 2016 13:16:02 +0000

Your bug report

#25245: Prettify-symbols-mode not working

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25245: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25245
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25245: Prettify-symbols-mode not working
From: Tassilo Horn <[email-masked]>
To: Alex Branham <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Dec 2016 14:15:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Alex,

>> Weirdly, if I call M-x LaTeX-mode, then prettification works.  Up
>> until I save the file C-x C-s, when everything un-prettifies again.
>> I can get the same behavior by calling M-x prettify-symbols-mode
>> twice.
>
> Oh, I think I found the problem.  Prettification won't work when a style
> file is loaded causing fontification to be reset.  I'll have a look at
> that.

Ok, I've pushed a fix and released AUCTeX 11.89.8 which should appear in
M-x list-packages anytime soon.

Bye,
Tassilo

Subject: Prettify-symbols-mode not working
From: Alex Branham <[email-masked]>
To: [email-masked]
Date: Wed, 21 Dec 2016 15:28:47 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello -

I can't seem to get prettify symbols mode to work correctly. In my .emacs I have (global-prettify-symbols-mode). According to the auctex manual, that should be enough, right? However, when I open a tex file, nothing is prettified.

Weirdly, if I call M-x LaTeX-mode, then prettification works. Up until I save the file C-x C-s, when everything un-prettifies again. I can get the same behavior by calling M-x prettify-symbols-mode twice. 

I'm using
Emacs version 25.1.1
Auctex version 11.89.7

Any help is appreciated.
Alex